Questions tagged [pcl-1.7]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
1 answer
8 views

pcl library linking problem

Hi, I am facing a linking problem between pcl and ROS. I am using Ubuntu 14.04 and QtCreator. I am trying to convert the laser data to OpenCV image, now I have the pointcoud2 so I need to convert it ...
user avatar
0 votes
1 answer
27 views

Problem using PCL 1.8 with ROS Indigo

Hi all, I am trying to compile a package based on the lccp_segmentation algorithm available in the pcl-trunk. The compilation and installation of the pcl-trunk were fine since I have the same version ...
user avatar
0 votes
1 answer
20 views

Coloring of pcd-pointcloud in Rviz

Hi! I am very new to ROS, so please take that into account when answering :) (Ubuntu 14.04 64bit in a VirtualBox with Windows Host, ROS Indigo) What I did: I used ...
user avatar
0 votes
1 answer
31 views

Display PointCloud2 in Rviz

Hi! I realize this question has been chewed a lot here but from all the answers I've read nothing seems to work. I'm using ROS Indigo on Ubuntu 14.04 LTS (32bit). Before I start reading and publishing ...
user avatar
0 votes
1 answer
6 views

sensor_msgs::LaserScan to PCLPointCloud2 in Indigo

Hi folks, I want to know how can I convert an sensor_msgs::LaserScan::ConstPtr& to an pcl::PCLPointCloud2 object? Specifically, what libraries (e.g., "pcl/conver.h" or something like ...
user avatar
0 votes
1 answer
1 view

Robotino ROS pcl::VoxelGrid<sensor_msgs::PointCloud2_<std::allocator<void>

Hey, i checked out the robotino packages from http://svn.openrobotino.org/robotino-ros-pkg/trunk/ and want to build them via rosmake. When i type rosmake robotino i get the following error and i have ...
user avatar
0 votes
1 answer
1 view

Segfault on roslaunch rgbdslam - PCL 1.7 related

I'm trying to run rgbdslam (v2 with proper adaptations) in Ubuntu 13.10, with ROS Indigo and PCL 1.7. Getting gdb running to bt the reason why the launch crashes, I get the following log: ...
user avatar
0 votes
1 answer
3 views

Tried Normal Distributions Transform with my own files (in correct PCD format) and it throws errors

http://pointclouds.org/documentation/tutorials/normal_distributions_transform.php#normal-distributions-transform I've used this program with the sample PCD's given and it came out correctly. This was ...
user avatar
0 votes
1 answer
6 views

install perception pcl

Hellow, I'm trying to install the package here perception_pcl to use the object recognition of pcl in ros Groovy. For now I have pcl installed in groovy (pcl 1.6) and I can't figure how to install ...
user avatar
0 votes
1 answer
2 views

PCL Kdtree symbol lookup error running program from terminal

I'm JUST TRYING to run the icp Demo available in the pcl tutorials I can compile it perfectly... the problem is when i try to run the program in the terminal I get this : ./interactive_icp: symbol ...
user avatar
0 votes
1 answer
10 views

Conversion from sensor_msgs::PointCloud2 to pcl::PointCloud<T>

Hi all, I am digging deep in this forum, but I'm getting lost. I am using ROS Groovy and receiving a sensor_msgs::PointCloud2 from a depth_image_proc nodelet and I want to process it using PCL 1.7. ...
user avatar
0 votes
1 answer
3 views

How to convert PCLPointCloud2 to PointCloud<T> in Hydro?

I've been referencing the ROS PCL tutorials (http://wiki.ros.org/pcl/Tutorials) to get up to speed on using the library in ROS, but I'm running into a little bit of trouble with the conversion to ...
user avatar
0 votes
1 answer
3 views

Refer to installed PCL (ARM)

Hi, i was able to install PCL 1.7.0 on my ARM based PandaBoard. If I now try to install different ROS stacks that depend on PCL it is always telling me that ROS is not able to find PCL. (I tried for ...
befaro's user avatar
  • 32
0 votes
1 answer
2 views

Color in pointcloud

Hi all, at first ;) my Ubuntu is 12.04 and my gazebo version is 1.9.1 and also my Ros is hydro. I have a simulated kinect in gazebo and i need the color of points, I’ve write below code that i get the ...
user avatar
0 votes
1 answer
2 views

Configuring ROS msg to transmit std::vector<pcl17::PointXYZRGB>

Hello all, I am using PCL (Point Cloud Library 1.7) with ROS and I have the following problem. I want to create a publisher and subscriber node and publish three vectors : std::vectorpcl17::...
user avatar
0 votes
1 answer
1 view

Fuerte VS Hydro: 3D mapping algorithm runs very slow after Hydro migration?

Hello, I have recently installed ROS Hydro mainly due to PCL 1.7. I had a 3D registration algorithm that I developed on ROS Fuerte and ported it to ROS Hydro. I am using the same laptop and everything ...
user avatar
0 votes
1 answer
6 views

Segmentation fault in PCL segmentation project

I am working on a segmentation project with PCL, but i am receiving a Segmentation fault (core dumped) error. Unfortunately i dont get much more error than that, ...
user avatar
0 votes
1 answer
1 view

PCL ROS and system install clashing?

Compiling object_recognition_tabletop from source on Hydro throws lots of warning like this one: ...
user avatar
0 votes
1 answer
1 view

Updating to PCL 1.7 in Groovy from Source

I found this other thread that appears to be related (http://answers.ros.org/question/44821/updating-to-pcl-17-in-ros-fuerte/), but the code repositories that are required don't work for me. I'm ...
user avatar
0 votes
1 answer
1 view

pcl 1.7 install on groovy

Hey, I'm trying to install the pcl1.7 from https://github.com/ros-perception/perception_pcl.git (the groovy-unstable-devel) in ubuntu 12.04 64 bits with ROS Groovy. I has still using the rosbuild ...
user avatar
0 votes
1 answer
1 view

PCL17 Does not compile

When I try to rosmake pcl17 or pcl17_ros i get the following error: /usr/bin/ld: cannot find -lsensor_msgs I have the sensor_msgs package. Does anyone have any ideas as to why this would happen? ...
user avatar
0 votes
1 answer
2 views

Experimental PCL 1.7 with ROS fuerte

I get the following error when i follow the commands from the website: //////////////////////////////////////////////////////////////////////// ERROR ///////////////////////////////////////////////////...
user avatar
0 votes
2 answers
1 view

Mixing pcl versions inside ros?

I am trying to use RegionGrowingRGB and other functions which are available in pcl 1.7 but not 1.5. The issue I am having is that 1.7 does not contain the recent ...
user avatar
0 votes
6 answers
1 view

How do I use pcl 1.7 with groovy?

Hello, I want to use the RSD-Feature from PCL, which is in their current trunk-version (must be 1.7, am I right?) with ROS groovy. How can I compile the current pcl-trunk version for ros groovy? I ...
user avatar
0 votes
1 answer
3 views

Incorporate Frustum culling in ROS PCL-1.5

I am using PCL which is part of my ROS Fuerte for my applications. The PCL version I have is 1.5 ... I saw the Frustum culling in filters module. Also it seems to be part of PCL-1.7 I checked my ...
user avatar